#ifndef ThisApplication_included_p
#define ThisApplication_included_p

///@file
///   This file defines default behavior for functionality
///   that applications can superseed if they need to.

namespace cxxtls
{
     bool shuttingDown();   // the default implementation for this function return false.  you can superseed it
                            // by defining bool cxxtls::shuttingDown() in your main program or in some module which
                            // is guaranteed to be loaded.
                            //
                            // This function affects some classes cxxtls function behaviors but not most.
                            // Any long running activity may be affected by a true return value.  typically, 
                            // functions which notice that shuttingDown() returns true will return as quickly
                            // as possible with no error code.
} // namespace cxxtls
#endif
